% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ResistanceGA.R
\docType{package}
\name{ResistanceGA-package}
\alias{ResistanceGA-package}
\title{About this R package}
\description{
This package contains functions to optimize resistance surfaces using Genetic Algorithms. Continuous and categorical surfaces can be optimized, and multiple surfaces can be simultaneously optimized to create novel resistance surfaces.
}
\details{
\tabular{ll}{
   Package: \tab ResistanceOptimization\cr
   Type: \tab Package\cr
   License: \tab >=GPL-2\cr
 }
 This package provides functions to prepare data and execute a number of functions to optimize continuous and categorical resistance surfaces using CIRCUITSCAPE and Genetic Algorithms within R. You must have CIRCUITSCAPE (4.0-Beta or higher) installed to run these functions. Output from functions in this package include: a summary table with AIC, AICc, conditional and marginal R2 values, and log-likelihood values for each optimized surface, parameters that optimized each of the top models, coefficients from the fitted mixed effects models, plots of the fitted response curves, diagnostic plots of model fit, and Circuitscape outputs for each of the optimized resistance surfaces. Resistance surfaces can also be optimized using least cost paths, which are implemented using the `gdistance` package.
  
 *** Use of this package to run CIRCUITSCAPE is limited to Windows machines due its use of the Circuitscape .exe file. Anyone interested in adapting the code to accommodate command-line execution on other platforms is welcome to do so. 
 
  In order to use this package with CIRCUITSCAPE, you must have CIRCUITSCAPE v4.0 or greater installed.
  
  Official release: \url{http://www.circuitscape.org/downloads}
}
\references{
Please cite: 
Peterman, W.E., G.M. Connette, R.D. Semlitsch, and L.S. Eggert. 2014. Ecological resistance surfaces predict fine-scale genetic differentiation in a terrestrial woodland salamander. Molecular Ecology 23:2402--2413. \href{http://goo.gl/RJb6Go}{Peterman et al.}

Peterman, W.E. ResistanceGA: An R package for the optimization of resistance surfaces using genetic algorithms. \href{http://biorxiv.org/content/early/2014/07/29/007575}{bioRxivdoi: dx.doi.org/10.1101/005127}
}
\author{
Bill Peterman \email{bill.peterman@gmail.com}
}
